<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\KursUebersichtDerMitarbeiter\KursUebersicht;

class KursUebersichtController extends \Kufer\KuferTools\Basis\KursUebersicht\KursUebersichtController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new KursUebersichtUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return KursUebersichtUseCase::getToolId();
  }

  protected function getDefaultRequestObj()
  {
    return new KursUebersichtRequest();
  }

  protected function getSuchAPI()
  {
    return new \KurssuchAPIwSearch();
  }

  protected function getRequestSearchName()
  {
    return 'searchkurs';
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new KursUebersichtPresenter($pUseCaseResponse);
  }
}